This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 187750 - slow vmware to localhost via samba transfer speed due to gigabit TSO
slow vmware to localhost via samba transfer speed due to gigabit TSO
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 10:11 EDT by Thomas J. Baker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-19 10:50:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2006-04-03 10:11:08 EDT
Description of problem:

I think this may be more of an upstream bug but as a reference I thought I'd
bugzilla it and get your expert opionon.  I was having a problem on a machine
running vmware and accessing localhost via samba. It started in FC4 when a new
enough kernel was able to support the onboard gigabit intel ethernet so I
enabled it. It became glacially slow transfering files to/from vmware. The
problem persisted for a month or two and in an attempt to fix it, I upgraded the
machine to FC5, which didn't help. 

Today, I found this reference
http://www.vmware.com/community/thread.jspa?threadID=34497 which talks about how
TCP Segment Offloading is enabled and causes this exact problem. The gist is
that by disabling it using 'ethtool -K eth0 tso off", the vmware->samba speed
problem disappears. It worked for me as documented.

Version-Release number of selected component (if applicable):

kernel-smp-2.6.16-1.2080_FC5


How reproducible:

Everytime.

Steps to Reproduce:
1. run vmware, enable samba, try to transfer files
2.
3.
  
Actual results:

Speed is very slow, 20+ minutes estimated to transfer 35MBs.


Expected results:

Disabling TSO resulted in 35MBs transfered in a matter of seconds.

Additional info:
Comment 1 Dave Jones 2006-10-16 13:34:35 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jeff Layton 2007-11-19 10:50:37 EST
No response to this bug in over a year. Closing it. Please reopen if this is
still an issue.

Note You need to log in before you can comment on or make changes to this bug.